Module jdk.scripting.nashorn
Package jdk.nashorn.api.scripting

## Interface ClassFilter

    public interface ClassFilter

Class filter (optional) to be used by nashorn script engine. jsr-223 program embedding nashorn script can set ClassFilter instance to be used when an engine instance is created.

Since:
  1.8u40

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `exposeToScripts(String className)` Should the Java class of the specified name be exposed to scripts?

### Method Detail

#### exposeToScripts

    boolean exposeToScripts(String className)

Should the Java class of the specified name be exposed to scripts?

Parameters:
  `className` - is the fully qualified name of the java class being checked. This will not be null. Only non-array class names will be passed.
Returns:
  true if the java class can be exposed to scripts false otherwise